import 'package:flutter/material.dart';

class TaobaoAuthAlert extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      child: Scaffold(
        backgroundColor: Colors.transparent,
        body: Center(
          child: GestureDetector(
            child: Container(
              padding: EdgeInsets.all(20),
              width: 230,
              height: 226,
              decoration: BoxDecoration(
                color: Colors.white,
                borderRadius: BorderRadius.circular(13),
              ),
              child: Column(
                children: <Widget>[
                  Container(
                    width: 62,
                    height: 62,
                    child: Image.asset(
                      'assets/images/icon_taobao.png',
                      package: 'zhiying_comm',
                    ),
                  ),
                  Padding(
                      padding: EdgeInsets.only(top: 10, bottom: 4),
                      child: Text(
                        '请完成淘宝授权',
                        style: TextStyle(
                          color: Color(0xff333333),
                          fontSize: 15,
                        ),
                      )),
                  Expanded(
                    child: Text(
                      '淘宝授权后下单或分享商品\n可以获得收益哦',
                      textAlign: TextAlign.center,
                      style: TextStyle(
                        color: Color(0xff999999),
                        fontSize: 12,
                      ),
                    ),
                  ),
                  GestureDetector(
                    child: Container(
                      width: 180,
                      height: 34,
                      decoration: BoxDecoration(
                        gradient: LinearGradient(
                          begin: Alignment.topCenter,
                          end: Alignment.bottomCenter,
                          colors: [
                            Color(0xFFFF8E00),
                            Color(0xFFFF5500),
                          ],
                        ),
                        borderRadius: BorderRadius.circular(17),
                      ),
                      child: Center(
                        child: Text(
                          '前往授权',
                          style: TextStyle(fontSize: 12, color: Colors.white),
                        ),
                      ),
                    ),
                    onTap: () {
                      Navigator.pop(context, true);
                    },
                  ),
                ],
              ),
            ),
            onTap: () {},
          ),
        ),
      ),
      onTap: () {
        Navigator.pop(context);
      },
    );
  }
}
